Update Product
curl --request PUT \
--url https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products/{productId} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "<string>",
"description": "<string>"
}
}
'import requests
url = "https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products/{productId}"
payload = { "data": {
"name": "<string>",
"description": "<string>"
} }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: {name: '<string>', description: '<string>'}})
};
fetch('https://api.chat-dash.com/v1/public/stripe/connect/accounts/{accountId}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"productId": "prod_ABC123XYZ",
"productName": "Starter Plan Updated",
"description": "Updated description",
"taxBehavior": "exclusive",
"pricing": {
"amount": "2999",
"billingCycle": "month",
"currency": "usd",
"pricingModel": "base",
"metrics": "minutes",
"usageLimit": 100,
"overage": "15"
},
"creationDate": 1700000000,
"activeSubscriptionsCount": 5,
"status": "active"
}
}{
"error": "An unexpected error occurred"
}Products
Update Product
Update a product for a connected account.
PUT
/
stripe
/
connect
/
accounts
/
{accountId}
/
products
/
{productId}
Update Product
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The Stripe connected account ID
The Stripe product ID
Body
application/json
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
⌘I
